home/urls.py
from django.urls import path

from . import views

app_name = 'home'

urlpatterns = [
    path('', views.index, name='index'),

]

mulaisyndi/urls.py
from django.contrib import admin
from django.urls import path, include
from story6.views import formkegiatan
from story6.views import formpeserta
from story8.views import dataBuku

urlpatterns = [
    path('admin/', admin.site.urls),
    path('home/', include('home.urls')),
    path('', include('story4.urls')),
    path('kegiatan/',include('story6.urls')),
    path('formkegiatan/', formkegiatan),
    path('formpeserta/<namakegiatan>', formpeserta),
    path('accordion/',include('story7.urls')),
    path('searchbook/',include('story8.urls')),
    path('dataBuku/', dataBuku),
    path('authuser/', include('story9.urls', namespace = 'authuser')),
]

story9/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('register/',views.register, name='register'),
    path('login/',views.login_page, name='login'),
    path('logout/', views.logout_page, name = 'logout')
]

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


class RegisterForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'email', 'password1', 'password2']

        widgets = {
            # 'username':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter your username'}),
            # 'email':forms.TextInput(attrs={'class':'form-control','placeholder':'example@gmail.com'}),
            'password1':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter your password'}),
            'password2':forms.TextInput(attrs={'class':'form-control','placeholder':'Confirm your password'})
            }

story9/views.py
from django.shortcuts import render, redirect, resolve_url 
from django.http import HttpResponse
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages
from django.contrib.auth.decorators import login_required
from .forms import RegisterForm
# Create your views here.

def register(request):
    if (request.user.is_authenticated):
        return redirect('story4:homes')
    else:
        form = RegisterForm()
        if request.method == 'POST':
            form = RegisterForm(request.POST)
            if form.is_valid():
                form.save()
                user = form.cleaned_data.get('username')
                messages.success(request, 'Account was created for ' + user)
                return redirect('story9:login')
    context = {'form':form}
    return render(request, 'story9/register.html', context)

def login_page(request):
    if request.user.is_authenticated:
        return redirect('story4:homes')
    else:
        if request.method == 'POST':
            username = request.POST.get('username')
            password =request.POST.get('password')
            
            user = authenticate(request, username=username, password=password)
            
            if user is not None:
                if user.is_active:
                    request.session.set_expiry(3000)
                    login(request, user)
                    return redirect('story4:homes')
            else:
                messages.info(request, 'Username OR password is incorrect')
    context = {}
    return render(request, 'story9/login.html', context)

@login_required
def logout_page(request):
    logout(request)
    return redirect('story9:login')

story9/templates/story9/login.html
{% extends "story4/base.html" %}

{% block content %}
{% load static %}
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
<title>Login</title>
<h1 id="h11" style = "font-size:9vw">Login</h1>
    </div>

    <div class="jarak" style="margin-top: 250px;"></div>
<style>
	@import url('https://fonts.googleapis.com/css?family=Muli:400,700&display=swap');
	p{
		font-family: 'Muli', sans-serif;
		font-size: 20px;
		color:aliceblue
	}
</style>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center form_container">
					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-3" style="width:400px">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>

							<input type="text" name="username" placeholder="Username..." class="form-control">
						</div>

						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>

								<input type="password" name="password" placeholder="Password..." class="form-control" >
						</div>

							<div class="d-flex justify-content-center mt-3 login_container">
				 				<input class="btn login_btn" type="submit" value="Login">
				   			</div>
					</form>

				</div>

				{% for message in messages %}
					<p id="messages">{{message}}</p>
				{% endfor %}			
		
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						<p>Don't have an account?</p> <a href="{% url 'story9:register' %}" class="ml-2"><p style="color:rgb(151, 179, 238)">Register</p></a>
					</div>
		
				</div>
			</div>
		</div>
	</div>


{% endblock %}

story9/templates/story9/register.html
{% extends "story4/base.html" %}

{% block content %}
{% load static %}
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
<title>Register Your Account</title>
<h1 id="h11" style = "font-size:9vw">Register</h1>
    </div>

    <div class="jarak" style="margin-top: 250px;"></div>
	<style>
		@import url('https://fonts.googleapis.com/css?family=Muli:400,700&display=swap');
		p{
			font-family: 'Muli', sans-serif;
			font-size: 20px;
			color:aliceblue
		}
	</style>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card" >
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-2" style="width:400px">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>



				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn login_btn" type="submit" value="Register Account">
				   		</div>

					</form>
				</div>

				{{form.errors}}
				
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						<p>Already have an account?</p> <a href="{% url 'story9:login' %}" class="ml-2"><p style="color:rgb(151, 179, 238)">Login</p></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<script>
var form_fields = document.getElementsByTagName('input')
	form_fields[1].placeholder='Username..';
	form_fields[2].placeholder='Email..';
	form_fields[3].placeholder='Enter password...';
	form_fields[4].placeholder='Re-enter Password...';


	for (var field in form_fields){	
		form_fields[field].className += ' form-control'
	}
</script>


{% endblock %}